## AgsSF2MidiLocaleLoader

AgsSF2MidiLocaleLoader — load Soundfont2 MIDI locale asynchronously

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_SF2_MIDI_LOCALE_LOADER_GET_OBJ_MUTEX()
gboolean | ags_sf2_midi_locale_loader_test_flags ()
void | ags_sf2_midi_locale_loader_set_flags ()
void | ags_sf2_midi_locale_loader_unset_flags ()
AgsAudio * | ags_sf2_midi_locale_loader_get_audio ()
void | ags_sf2_midi_locale_loader_set_audio ()
gchar * | ags_sf2_midi_locale_loader_get_filename ()
void | ags_sf2_midi_locale_loader_set_filename ()
gint | ags_sf2_midi_locale_loader_get_bank ()
void | ags_sf2_midi_locale_loader_set_bank ()
gint | ags_sf2_midi_locale_loader_get_program ()
void | ags_sf2_midi_locale_loader_set_program ()
AgsAudioContainer * | ags_sf2_midi_locale_loader_get_audio_container ()
void | ags_sf2_midi_locale_loader_set_audio_container ()
AgsSF2SynthUtil * | ags_sf2_midi_locale_loader_get_synth_template ()
void | ags_sf2_midi_locale_loader_set_synth_template ()
AgsSF2SynthUtil * | ags_sf2_midi_locale_loader_get_synth ()
void | ags_sf2_midi_locale_loader_set_synth ()
void | ags_sf2_midi_locale_loader_start ()
AgsSF2MidiLocaleLoader * | ags_sf2_midi_locale_loader_new ()

## Properties

AgsAudio * | audio | Read / Write
AgsAudioContainer * | audio-container | Read / Write
int | bank | Read / Write
char * | filename | Read / Write
int | program | Read / Write
gpointer | synth | Read / Write
gpointer | synth-template | Read / Write
AgsAudio * | audio | Read / Write
AgsAudioContainer * | audio-container | Read / Write
int | bank | Read / Write
char * | filename | Read / Write
int | program | Read / Write
gpointer | synth | Read / Write
gpointer | synth-template | Read / Write

## Types and Values

enum | AgsSF2MidiLocaleLoaderFlags

## Object Hierarchy

        GObject
        ╰── AgsSF2MidiLocaleLoader

## Includes

    #include <ags/plugin/ags_sf2_midi_locale_loader.h>

## Description

The AgsSF2MidiLocaleLoader loads Soundfont2 audio data of MIDI locale asynchronously.

## Functions

### AGS_SF2_MIDI_LOCALE_LOADER_GET_OBJ_MUTEX()

    #define AGS_SF2_MIDI_LOCALE_LOADER_GET_OBJ_MUTEX(obj) (&(((AgsSF2MidiLocaleLoader *) obj)->obj_mutex))

### ags_sf2_midi_locale_loader_test_flags ()

    gboolean
    ags_sf2_midi_locale_loader_test_flags (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader,
                                           AgsSF2MidiLocaleLoaderFlags flags);

Test `flags` to be set on `recall` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |
flags | the flags |

#### Returns

`TRUE` if flags are set, else `FALSE`

Since: 3.16.0

### ags_sf2_midi_locale_loader_set_flags ()

    void
    ags_sf2_midi_locale_loader_set_flags (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader,
                                          AgsSF2MidiLocaleLoaderFlags flags);

Set flags.

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |
flags | the flags |

Since: 3.16.0

### ags_sf2_midi_locale_loader_unset_flags ()

    void
    ags_sf2_midi_locale_loader_unset_flags
                                   (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader,
                                    AgsSF2MidiLocaleLoaderFlags flags);

Unset flags.

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |
flags | the flags |

Since: 3.16.0

### ags_sf2_midi_locale_loader_get_audio ()

    AgsAudio *
    ags_sf2_midi_locale_loader_get_audio (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader);

Get audio of `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |

#### Returns

the assigned AgsAudio.

[transfer full]

Since: 3.16.0

### ags_sf2_midi_locale_loader_set_audio ()

    void
    ags_sf2_midi_locale_loader_set_audio (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader,
                                          AgsAudio *audio);

Set audio of `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |
audio | the AgsAudio |

Since: 3.16.0

### ags_sf2_midi_locale_loader_get_filename ()

    gchar *
    ags_sf2_midi_locale_loader_get_filename
                                   (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader);

Get filename of `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |

#### Returns

the assigned filename.

[transfer full]

Since: 3.16.0

### ags_sf2_midi_locale_loader_set_filename ()

    void
    ags_sf2_midi_locale_loader_set_filename
                                   (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader,
                                    gchar *filename);

Set filename of `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |
filename | the filename |

Since: 3.16.0

### ags_sf2_midi_locale_loader_get_bank ()

    gint
    ags_sf2_midi_locale_loader_get_bank (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader);

Get bank of `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |

#### Returns

the assigned bank

Since: 3.16.0

### ags_sf2_midi_locale_loader_set_bank ()

    void
    ags_sf2_midi_locale_loader_set_bank (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader,
                                         gint bank);

Set bank of `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |
bank | the bank |

Since: 3.16.0

### ags_sf2_midi_locale_loader_get_program ()

    gint
    ags_sf2_midi_locale_loader_get_program
                                   (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader);

Get program of `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |

#### Returns

the assigned program

Since: 3.16.0

### ags_sf2_midi_locale_loader_set_program ()

    void
    ags_sf2_midi_locale_loader_set_program
                                   (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader,
                                    gint program);

Set program of `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |
program | the program |

Since: 3.16.0

### ags_sf2_midi_locale_loader_get_audio_container ()

    AgsAudioContainer *
    ags_sf2_midi_locale_loader_get_audio_container
                                   (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader);

Get audio container of `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |

#### Returns

the assigned AgsAudioContainer.

[transfer full]

Since: 3.16.0

### ags_sf2_midi_locale_loader_set_audio_container ()

    void
    ags_sf2_midi_locale_loader_set_audio_container
                                   (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader,
                                    AgsAudioContainer *audio_container);

Set audio container of `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |
audio_container | the AgsAudioContainer |

Since: 3.16.0

### ags_sf2_midi_locale_loader_get_synth_template ()

    AgsSF2SynthUtil *
    ags_sf2_midi_locale_loader_get_synth_template
                                   (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader);

Get AgsSF2SynthUtil synth template of `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |

#### Returns

the assigned AgsSF2SynthUtil

Since: 3.16.0

### ags_sf2_midi_locale_loader_set_synth_template ()

    void
    ags_sf2_midi_locale_loader_set_synth_template
                                   (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader,
                                    AgsSF2SynthUtil *synth_template);

Set AgsSF2SynthUtil synth template of `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |
synth_template | the AgsSF2SynthUtil |

Since: 3.16.0

### ags_sf2_midi_locale_loader_get_synth ()

    AgsSF2SynthUtil *
    ags_sf2_midi_locale_loader_get_synth (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader);

Get AgsSF2SynthUtil synth of `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |

#### Returns

the assigned AgsSF2SynthUtil

Since: 3.16.0

### ags_sf2_midi_locale_loader_set_synth ()

    void
    ags_sf2_midi_locale_loader_set_synth (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader,
                                          AgsSF2SynthUtil *synth);

Set AgsSF2SynthUtil synth of `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |
synth | the AgsSF2SynthUtil |

Since: 3.16.0

### ags_sf2_midi_locale_loader_start ()

    void
    ags_sf2_midi_locale_loader_start (AgsSF2MidiLocaleLoader *sf2_midi_locale_loader);

Start `sf2_midi_locale_loader` .

#### Parameters

sf2_midi_locale_loader | the AgsSF2MidiLocaleLoader |

Since: 3.16.0

### ags_sf2_midi_locale_loader_new ()

    AgsSF2MidiLocaleLoader *
    ags_sf2_midi_locale_loader_new (AgsAudio *audio,
                                    gchar *filename,
                                    gint bank,
                                    gint program);

Create a new instance of AgsSF2MidiLocaleLoader.

#### Parameters

audio | the AgsAudio |
filename | the filename |
bank | the bank |
program | the program |

#### Returns

the new AgsSF2MidiLocaleLoader

Since: 3.16.0

## Types and Values

### enum AgsSF2MidiLocaleLoaderFlags

Enum values to configure Soundfont2 MIDI locale loader.

#### Members

AGS_SF2_MIDI_LOCALE_LOADER_HAS_COMPLETED | has completed |
AGS_SF2_MIDI_LOCALE_LOADER_RUN_APPLY_MIDI_LOCALE | run apply midi locale |

## Property Details

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned audio.

Owner: AgsSF2MidiLocaleLoader

Flags: Read / Write

Since: 3.16.0

### The `“audio-container”` property

      “audio-container”          AgsAudioContainer *

The audio container opened.

Owner: AgsSF2MidiLocaleLoader

Flags: Read / Write

Since: 3.16.0

### The `“bank”` property

      “bank”                     int

The bank to open.

Owner: AgsSF2MidiLocaleLoader

Flags: Read / Write

Allowed values: [-1,128]

Default value: -1

Since: 3.16.0

### The `“filename”` property

      “filename”                 char *

The filename to open.

Owner: AgsSF2MidiLocaleLoader

Flags: Read / Write

Default value: NULL

Since: 3.16.0

### The `“program”` property

      “program”                  int

The program to open.

Owner: AgsSF2MidiLocaleLoader

Flags: Read / Write

Allowed values: [-1,128]

Default value: -1

Since: 3.16.0

### The `“synth”` property

      “synth”                    gpointer

The assigned synth.

Owner: AgsSF2MidiLocaleLoader

Flags: Read / Write

Since: 3.16.0

### The `“synth-template”` property

      “synth-template”           gpointer

The assigned synth template.

Owner: AgsSF2MidiLocaleLoader

Flags: Read / Write

Since: 3.16.0

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned audio.

Owner: AgsSF2MidiLocaleLoader

Flags: Read / Write

Since: 3.16.0

### The `“audio-container”` property

      “audio-container”          AgsAudioContainer *

The audio container opened.

Owner: AgsSF2MidiLocaleLoader

Flags: Read / Write

Since: 3.16.0

### The `“bank”` property

      “bank”                     int

The bank to open.

Owner: AgsSF2MidiLocaleLoader

Flags: Read / Write

Allowed values: [-1,128]

Default value: -1

Since: 3.16.0

### The `“filename”` property

      “filename”                 char *

The filename to open.

Owner: AgsSF2MidiLocaleLoader

Flags: Read / Write

Default value: NULL

Since: 3.16.0

### The `“program”` property

      “program”                  int

The program to open.

Owner: AgsSF2MidiLocaleLoader

Flags: Read / Write

Allowed values: [-1,128]

Default value: -1

Since: 3.16.0

### The `“synth”` property

      “synth”                    gpointer

The assigned synth.

Owner: AgsSF2MidiLocaleLoader

Flags: Read / Write

Since: 3.16.0

### The `“synth-template”` property

      “synth-template”           gpointer

The assigned synth template.

Owner: AgsSF2MidiLocaleLoader

Flags: Read / Write

Since: 3.16.0